################################################################################
#
# System:  "NC110"
# Machine: ""
# Type: MILL
# version 2.1 (27/09/2002)
# Russia, KnAAPO,OGT,SPC(Sector of the Program Control #"  ")
# 16:39 02.10.2002
#  : Rodionova .
#
################################################################################
#   	Date        		Who           		Reason#
# $HISTORY$
################################################################################

  set cam_post_dir [MOM_ask_env_var UGII_CAM_POST_DIR]
  set cam_debug_dir [MOM_ask_env_var UGII_CAM_DEBUG_DIR]
#_______________________________________________________________________________
#The following command invokes the warning mode and the default settings.
#_______________________________________________________________________________
  source ${cam_post_dir}/ugpost_base.tcl

################################################################################
  source ${cam_post_dir}/NC110/nc110.tcl
#
# source [MOM_ask_env_var UGII_CAM_DEBUG_DIR]mom_debug.tcl
# source ${cam_debug_dir}mom_review.tcl ; MOM_set_debug_mode ON

#=============================================================
proc PB_CMD_auto_tool_change { } {
#=============================================================
  global mom_update_post_cmds_from_tool
  set event [MOM_ask_event_type]
  if {[info exists mom_update_post_cmds_from_tool]} {
    #MOM_output_to_listing_device "mom_update_post_cmds_from_tool=$mom_update_post_cmds_from_tool"
    #MOM_output_to_listing_device "event=$event"
    if {$mom_update_post_cmds_from_tool==0} {
      if {[regexp -nocase -- "MOM_load_tool" $event]==0} { return }
    }
   } else {
    if {[regexp -nocase -- "MOM_load_tool" $event]==1} { return }
  }

  global g_plane ;   set g_plane [CHECK_PLANE]
  ;#   
  ;#if {$g_plane != "NONE"}  { MOM_do_template plane }

   PB_CMD_start_of_alignment_character

  set line ""
  if [llength [info commands PB_CMD_tool_info] ] {
    set line [ PB_CMD_tool_info ]
  }
  global  mom_sys_control_out  mom_sys_control_in
  MOM_suppress ONCE N
  MOM_output_literal " ${mom_sys_control_out} $line ${mom_sys_control_in}"

  global mom_tool_adjust_register mom_tool_number
    set mom_tool_number 1
  if {![info exists mom_tool_adjust_register]} { set mom_tool_adjust_register 1 ; }
	  set mom_tool_adjust_register 1
  global mom_cutcom_adjust_register
  if {[info exists mom_cutcom_adjust_register]} {
  	if {$mom_tool_adjust_register!=$mom_cutcom_adjust_register} {
  	  set mom_tool_adjust_register $mom_cutcom_adjust_register
    }
  }

   MOM_force Once T M
   catch { MOM_do_template tool_change } errMes ; MOM_log_message "$errMes"
   catch { MOM_do_template tool_change_next CREATE } errMes ; MOM_log_message "$errMes"

   PB_CMD_end_of_alignment_character

;#MOM_output_literal "(UAO,1)"
}

#=============================================================
proc PB_CMD_circular_move { } {
#=============================================================
# This procedure is executed for each circular move. It gets called after
# the circle data are loaded (end point and center).

 ;#   
 global g_plane
 if {$g_plane != "NONE"}  { MOM_do_template plane }

 global mom_output_circular_radius
 if {[info exists mom_output_circular_radius]==0} { set mom_output_circular_radius "OFF" ; }

 MOM_suppress once G_slowdn
 catch { PB_slowdn_move } err ; #    

 PB_CMD_cutcom

 PB_CMD_cutcom_check

 set str "" ; #  

 global mom_arc_angle
 if {$mom_output_circular_radius=="ON"} {
     ;#
     SET_SIGN_OF_RADIUS
     MOM_force once Radius
     set str [ MOM_do_template circular_move_radius ]
     ;#
  } else {
     ;#
     global mom_sys_leader
     switch $g_plane {
      "17" { ;# XY
      	   set mom_sys_leader(I) "I"
      	   set mom_sys_leader(J) "J"
      	   set mom_sys_leader(K) "K"
      	        MOM_suppress once K ;
    	  }
      "18" { ;# XZ !!!!!!!!!!!!!!!!!!
          }
      "19" { ;# YZ !!!!!!!!!!!!!!!!!!
      	    	   set mom_sys_leader(J) "I"
      	         set mom_sys_leader(K) "J"
        }
     }

      MOM_force always  I J
     global mom_output_mode
     switch $mom_output_mode {
      ABSOLUTE { set str [ MOM_do_template circular_move ] }
      default { set str [ MOM_do_template circular_move_incr ] }
     }
     ;#
 }

 if {0!=[regexp -nocase -- {(G)(41)+|(G)(42)+} $str ]} {
     set str1 "\nError!   \n\t    - $str"
     CATCH_WARNING $str1
 }

 MOM_suppress off I J K G_slowdn
}