################################################################################
#
# System:  "NC110"
# Machine: "-9-2"
# Type: MILL
# version 2.1 (27/09/2002)
# Russia, 
# 16:39 02.10.2002
#  : Rodionova .
#
################################################################################
#   	Date        		Who           		Reason#
# $HISTORY$
################################################################################

  set cam_post_dir [MOM_ask_env_var UGII_CAM_POST_DIR]
  set cam_debug_dir [MOM_ask_env_var UGII_CAM_DEBUG_DIR]
#_______________________________________________________________________________
#The following command invokes the warning mode and the default settings.
#_______________________________________________________________________________
  source ${cam_post_dir}/ugpost_base.tcl

################################################################################
  source ${cam_post_dir}/NC110/nc110.tcl
#
# source [MOM_ask_env_var UGII_CAM_DEBUG_DIR]mom_debug.tcl
# source ${cam_debug_dir}mom_review.tcl ; MOM_set_debug_mode ON


  set mom_sys_leader(X)                         "X"
  set mom_sys_leader(Y)                         "V"
  set mom_sys_leader(Z)                         "W"

####### KINEMATIC VARIABLE DECLARATIONS ##############
  set mom_kin_arc_output_mode                   "QUADRANT"  ;   #QUADRANT   LINEAR  FULL_CIRCLE
  set mom_kin_arc_valid_planes                  "XY" ;  #XY  XZ XYZ
  set mom_kin_machine_resolution                "0.001"
  set mom_kin_max_fpm                           "5000.0"
  set mom_kin_rapid_feed_rate                   "10000.0"
  set mom_kin_tool_change_time                  "60.0"
  set mom_kin_x_axis_limit                      "7000"
  set mom_kin_y_axis_limit                      "2650"
  set mom_kin_z_axis_limit                      "500"


#=============================================================
proc PB_CMD_start_of_program { } {
#=============================================================
  global  mom_warning_info
  global  mom_output_file_basename
  global  mom_logname  mom_date
  global  mom_part_name
  global  mom_machine_name
  global  mom_ug_version  
  global  mom_sys_control_out  mom_sys_control_in

#   - 
global min_pos  max_pos
for { set ii 0 } {$ii<5} { incr ii } {
  set min_pos($ii) 99999.999
  set max_pos($ii) -99999.999
}

uplevel #0 {
  set mom_kin_nurbs_output_type                 "BSPLINE"
  set mom_kin_coordinate_type                   "CARTESIAN"
  set mom_kin_read_ahead_next_motion            "1"
  MOM_reload_kinematics
}

#    
global  flagCutcom_end 	  ; set flagCutcom_end 	 	0 ; #   
global  flagCutcom_begin  ; set flagCutcom_begin 	0 ; #   
global  flagCutcom_output ; set flagCutcom_output 	0 ; #   
global  flagCutcom_single ; set flagCutcom_single 	0 ;
global  countCutcom  ; 	    set countCutcom 		0 ;

  ;#        
  global mom_output_circular_radius ;
  set mom_output_circular_radius "ON" ; # OFF - {G2|G3}{X Y Z}{I J};  ON - {G2|G3}{X Y Z} R ;
  ;#     "ON",  
  ;#    mom_kin_arc_output_mode="QUADRANT"

  global mom_sys_rewind_stop_code
  set str "$mom_sys_rewind_stop_code"

  global partno_program
  if {[info exists partno_program]} {
    if {$partno_program != ""} { append str $partno_program }
   }

  MOM_set_seq_off
  MOM_output_literal "$str"
  set strname ""
  if [llength [info commands PB_part_name_ex] ] {
       set strname [ PB_part_name_ex ]
       set strname [ MOM_string_toupper $strname ]
  } else {
  	if [llength [info commands MOM_ask_part_attr] ] {
  	   set strname [ MOM_ask_part_attr ]
  	}
  }
  set strmaterial "" ;
  if [llength [info commands PB_part_material] ] { set strmaterial [ PB_part_material ] ; }
  MOM_output_literal "${mom_sys_control_out}Part: $strname ${mom_sys_control_in}"
  MOM_output_literal "${mom_sys_control_out}Program: $mom_output_file_basename ${mom_sys_control_in}"
  MOM_output_literal "${mom_sys_control_out}Material: $strmaterial ${mom_sys_control_in}"
  MOM_output_literal "${mom_sys_control_out}GENERATE:${mom_ug_version} ${mom_sys_control_in}"
  MOM_output_literal "${mom_sys_control_out}$mom_logname, Date:$mom_date ${mom_sys_control_in}"
  #MOM_output_literal "${mom_sys_control_out}MACHINE: $mom_machine_name ${mom_sys_control_in}"
  MOM_output_literal "${mom_sys_control_out}MACHINE: FP-9-2NTC ($mom_machine_name) ${mom_sys_control_in}"
  MOM_output_literal "${mom_sys_control_out}Time=${mom_sys_control_in}"
  MOM_output_literal "    "
  MOM_set_seq_on

  MOM_output_literal "(UAO,1)"

  global mom_sys_leader
  MOM_output_literal "(UCG,2, $mom_sys_leader(X)-100 $mom_sys_leader(X)100, $mom_sys_leader(Y)-100 $mom_sys_leader(Y)100 ,$mom_sys_leader(Z))"

  MOM_output_literal "(DPI,X,V)"

#   
 global   SLOWDN_MIN_ANGLE  SLOWDN_MAX_FEED  SLOWDN_ACCELERATION
 global   mom_modes_slowdn  mom_modes_slowdn_feed
 global   mom_slowdn_min_angle  mom_slowdn_max_feed
  set SLOWDN_MIN_ANGLE     "180.0"
  set SLOWDN_MAX_FEED      "600.0"
  set SLOWDN_ACCELERATION  "5"
#   
  set mom_modes_slowdn       "ON" ;
  set mom_modes_slowdn_feed  "ON"  ;
  set mom_slowdn_min_angle $SLOWDN_MIN_ANGLE ;
  set mom_slowdn_max_feed  $SLOWDN_MAX_FEED ;

  if [llength [info commands PB_slowdn_load] ] { PB_slowdn_load }
}



#=============================================================
proc PB_CMD_end_of_program { } {
#=============================================================
# This procedure is executed at the end of the program after all the paths are traversed.
  global mom_output_mode
  set mom_output_mode  "ABSOLUTE" ;   # "ABSOLUTE", "INCREMENTAL"
  MOM_set_modes

  global mom_coolant_status
  if {$mom_coolant_status=="UNDEFINED" ||  $mom_coolant_status=="SAME"} { MOM_suppress once M_coolant }

  MOM_do_template  return_motion
  MOM_output_literal  "(DPI,X,Y)"

  MOM_do_template end_of_program_rewind
  MOM_set_seq_off
  global mom_machine_time
  set str0 [format "%.1f" $mom_machine_time ]
  set str2 ""
  if [llength [info commands outTime] ] { set str2 [ outTime $mom_machine_time ] }
  MOM_output_literal "; Time=${str0}' $str2"
}


#================================================
proc CHECK_PLANE { } {
#================================================

  set g_plane "NONE"

  return $g_plane
}

